Package org.eclipse.emf.cdo.server

## Class CDOServerBrowser.AbstractPage

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

- All Implemented Interfaces:
    `CDOServerBrowser.Page`
  Direct Known Subclasses:
    `CDOServerBrowser.HistoryPage`, `CDOServerBrowser.LobsPage`, `CDOServerBrowser.LocksPage`, `CDOServerBrowser.PackagesPage`, `CDOServerBrowser.RevisionsPage`
  Enclosing class:
    CDOServerBrowser

      public abstract static class CDOServerBrowser.AbstractPage
      extends java.lang.Object
      implements CDOServerBrowser.Page

  An abstract base implementation of a `server browser page`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractPage​(java.lang.String name, java.lang.String label)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getLabel()` |
    `java.lang.String` | `getName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `canDisplay, display`

- - ### Constructor Detail

    - #### AbstractPage

          public AbstractPage​(java.lang.String name,
                              java.lang.String label)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `CDOServerBrowser.Page`

    - #### getLabel

          public java.lang.String getLabel()

      Specified by:
        `getLabel` in interface `CDOServerBrowser.Page`